Loading...
Searching...
No Matches
version_major.h File Reference
libavfilter

Libavfilter version macros. More...

Go to the source code of this file.

## Macros

#define | LIBAVFILTER_VERSION_MAJOR 11
#define | FF_API_BUFFERSINK_OPTS (LIBAVFILTER_VERSION_MAJOR < 12)
| FF_API_* defines may be placed below to indicate public API that will be dropped at a future version bump.
#define | FF_API_CONTEXT_PUBLIC (LIBAVFILTER_VERSION_MAJOR < 12)
#define | FF_API_LIBNPP_SUPPORT (LIBAVFILTER_VERSION_MAJOR < 12)

## Detailed Description

Libavfilter version macros.

Definition in file version_major.h.

## Macro Definition Documentation

## LIBAVFILTER_VERSION_MAJOR

#define LIBAVFILTER_VERSION_MAJOR 11

Definition at line 30 of file version_major.h.

## FF_API_BUFFERSINK_OPTS

#define FF_API_BUFFERSINK_OPTS (LIBAVFILTER_VERSION_MAJOR < 12)

FF_API_* defines may be placed below to indicate public API that will be dropped at a future version bump.

The defines themselves are not part of the public API and may change, break or disappear at any time.

Definition at line 38 of file version_major.h.

## FF_API_CONTEXT_PUBLIC

#define FF_API_CONTEXT_PUBLIC (LIBAVFILTER_VERSION_MAJOR < 12)

Definition at line 39 of file version_major.h.

## FF_API_LIBNPP_SUPPORT

#define FF_API_LIBNPP_SUPPORT (LIBAVFILTER_VERSION_MAJOR < 12)

Definition at line 40 of file version_major.h.